<?xml version="1.0" encoding="utf-8" standalone="no"?>
<problem name="pawns" revision="39" url="http://codecenter.sgu.ru:8081/polygon/p/vasilevskiy.boris/pawns">
    <judging input-file="pawns.in" output-file="pawns.out">
        <testset name="tests">
            <time-limit>2000</time-limit>
            <memory-limit>67108864</memory-limit>
            <test-count>73</test-count>
            <input-path-pattern>tests/%02d</input-path-pattern>
            <answer-path-pattern>tests/%02d.a</answer-path-pattern>
            <tests>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test cmd="gen_random_ge 10 10 1 20 42978" method="generated"/>
                <test cmd="gen_random_ge 10 10 2 20 98234" method="generated"/>
                <test cmd="gen_random_ge 10 10 3 20 87344" method="generated"/>
                <test cmd="gen_random_ge 10 10 9 20 4 98734" method="generated"/>
                <test cmd="gen_random_ge 10 10 10 20 5 3822" method="generated"/>
                <test cmd="gen_random_ge 10 10 1 40 6 902331" method="generated"/>
                <test cmd="gen_random_ge 10 10 7 40 12 49033" method="generated"/>
                <test cmd="gen_random_ge 10 10 8 40 13 4722" method="generated"/>
                <test cmd="gen_random_ge 10 10 9 40 14 90831" method="generated"/>
                <test cmd="gen_random_ge 10 10 10 40 15 2348" method="generated"/>
                <test cmd="gen_random_ge 30 30 15 150 17 78211" method="generated"/>
                <test cmd="gen_random_ge 50 50 25 200 19 10101" method="generated"/>
                <test cmd="gen_random_ge 80 80 40 400 22 982" method="generated"/>
                <test cmd="gen_random_ge 100 100 30 1000 24 3287" method="generated"/>
                <test cmd="gen_ge 1 10 10 5 30 8973" method="generated"/>
                <test cmd="gen_ge 1 10 10 6 35 98723" method="generated"/>
                <test cmd="gen_ge 1 20 10 4 50 8901" method="generated"/>
                <test cmd="gen_ge 1 10 20 2 10 8923" method="generated"/>
                <test cmd="gen_ge 2 15 15 10 20 981011" method="generated"/>
                <test cmd="gen_ge 2 30 30 15 100 10111" method="generated"/>
                <test cmd="gen_ge 1 40 20 20 50 777" method="generated"/>
                <test cmd="gen_ge 1 40 20 10 100 811" method="generated"/>
                <test cmd="gen_ge 1 20 40 30 100 12310" method="generated"/>
                <test cmd="gen_ge 1 30 50 20 200 718" method="generated"/>
                <test cmd="gen_ge 2 50 50 50 200 239" method="generated"/>
                <test cmd="gen_ge 1 10 60 60 40 9823" method="generated"/>
                <test cmd="gen_ge 1 60 4 2 50 4391" method="generated"/>
                <test cmd="gen_ge 1 60 60 60 600 8111" method="generated"/>
                <test cmd="gen_ge 1 100 100 10 300 1672" method="generated"/>
                <test cmd="gen_ge 1 100 100 20 500 98401" method="generated"/>
                <test cmd="gen_ge 1 100 100 30 600 1011100" method="generated"/>
                <test cmd="gen_ge 1 100 100 50 1000 909" method="generated"/>
                <test cmd="gen_ge 2 100 100 50 1000 678" method="generated"/>
                <test cmd="gen_ge 2 100 100 100 1000 8910" method="generated"/>
                <test cmd="gen_ge 1 100 100 100 1000 811" method="generated"/>
                <test cmd="gen_ge 1 100 100 100 1000 6781" method="generated"/>
                <test cmd="gen_ge 1 100 100 100 1000 98101" method="generated"/>
                <test cmd="gen_ge 2 100 100 100 1000 81100" method="generated"/>
                <test cmd="gen_ge 2 100 100 100 1000 91234" method="generated"/>
                <test cmd="gen_ge 1 100 20 20 500 821032" method="generated"/>
                <test cmd="gen_ge 2 100 20 10 300 1701" method="generated"/>
                <test cmd="gen_ge 1 40 100 50 750 7373" method="generated"/>
                <test cmd="gen_ge 1 30 100 50 500 815607" method="generated"/>
                <test cmd="gen_ge 2 20 100 100 300 8101" method="generated"/>
                <test cmd="gen_ge 2 35 100 50 400 86081" method="generated"/>
                <test cmd="gen_ge 2 100 100 50 1000 717710" method="generated"/>
                <test cmd="gen_ge 2 100 100 100 1000 7153" method="generated"/>
                <test cmd="gen_ge 1 100 100 50 1000 815" method="generated"/>
                <test cmd="gen_ge 1 100 100 75 1000 70321" method="generated"/>
                <test cmd="gen_ge 1 100 40 40 1000 82301" method="generated"/>
                <test cmd="gen_ge 2 100 40 40 1000 9591" method="generated"/>
                <test cmd="gen_ge 1 100 100 100 1000 23" method="generated"/>
            </tests>
        </testset>
        <testset name="gen_random_trial">
            <time-limit>2000</time-limit>
            <memory-limit>67108864</memory-limit>
            <test-count>0</test-count>
            <input-path-pattern>gen_random_trial/%02d</input-path-pattern>
            <answer-path-pattern>gen_random_trial/%02d.a</answer-path-pattern>
            <tests/>
        </testset>
        <testset name="handmade_trial">
            <time-limit>2000</time-limit>
            <memory-limit>67108864</memory-limit>
            <test-count>0</test-count>
            <input-path-pattern>handmade_trial/%02d</input-path-pattern>
            <answer-path-pattern>handmade_trial/%02d.a</answer-path-pattern>
            <tests/>
        </testset>
    </judging>
    <files>
        <resources>
            <file path="files/genutil.h" type="h.g++"/>
            <file path="files/testlib.h" type="h.g++"/>
            <file path="files/problem.tex"/>
        </resources>
        <executables>
            <executable>
                <source>
                    <file path="files/gen_random_ge.cpp" type="cpp.g++"/>
                </source>
                <binary>
                    <file path="files/gen_random_ge.exe" type="exe.win32"/>
                </binary>
            </executable>
            <executable>
                <source>
                    <file path="files/check_ge.cpp" type="cpp.g++"/>
                </source>
                <binary>
                    <file path="files/check_ge.exe" type="exe.win32"/>
                </binary>
            </executable>
            <executable>
                <source>
                    <file path="files/pawns_validator.cpp" type="cpp.g++"/>
                </source>
                <binary>
                    <file path="files/pawns_validator.exe" type="exe.win32"/>
                </binary>
            </executable>
            <executable>
                <source>
                    <file path="files/gen_ge.cpp" type="cpp.g++"/>
                </source>
                <binary>
                    <file path="files/gen_ge.exe" type="exe.win32"/>
                </binary>
            </executable>
        </executables>
    </files>
    <assets>
        <checker type="testlib">
            <source path="files/check_ge.cpp" type="cpp.g++"/>
            <binary path="check.exe" type="exe.win32"/>
        </checker>
        <validator>
            <source path="files/pawns_validator.cpp" type="cpp.g++"/>
            <binary path="files/pawns_validator.exe" type="exe.win32"/>
        </validator>
        <solutions>
            <solution tag="wrong-answer">
                <source path="solutions/greed_left_near_first.cpp" type="cpp.g++"/>
                <binary path="solutions/greed_left_near_first.exe" type="exe.win32"/>
            </solution>
            <solution tag="presentation-error">
                <source path="solutions/msu_detritus.cpp" type="cpp.g++"/>
                <binary path="solutions/msu_detritus.exe" type="exe.win32"/>
            </solution>
            <solution tag="presentation-error">
                <source path="solutions/pawns_sf_old.cpp" type="cpp.g++"/>
                <binary path="solutions/pawns_sf_old.exe" type="exe.win32"/>
            </solution>
            <solution tag="time-limit-exceeded">
                <source path="solutions/pawns_easy.cpp" type="cpp.g++"/>
                <binary path="solutions/pawns_easy.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/pawns_sf.cpp" type="cpp.g++"/>
                <binary path="solutions/pawns_sf.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/greed_right_near_first.cpp" type="cpp.g++"/>
                <binary path="solutions/greed_right_near_first.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/team-MSU_JS.cpp" type="cpp.g++"/>
                <binary path="solutions/team-MSU_JS.exe" type="exe.win32"/>
            </solution>
            <solution tag="main">
                <source path="solutions/pawns_ge.cpp" type="cpp.g++"/>
                <binary path="solutions/pawns_ge.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/pawns_bv_wa.cpp" type="cpp.g++"/>
                <binary path="solutions/pawns_bv_wa.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/greed_left_up_sort.cpp" type="cpp.g++"/>
                <binary path="solutions/greed_left_up_sort.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/pawns_bv.cpp" type="cpp.g++"/>
                <binary path="solutions/pawns_bv.exe" type="exe.win32"/>
            </solution>
        </solutions>
    </assets>
    <statements>
        <statement format="tex" language="russian" path="statements/russian/problem.tex" title="Пешки"/>
    </statements>
    <properties>
        <property name="tests-wellformed" value="true"/>
    </properties>
    <tags>
        <tag value="flows"/>
        <tag value="moscow team"/>
    </tags>
</problem>
